Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class MappingDefaultsImpl

    java.lang.Object
      org.apache.openjpa.jdbc.meta.MappingDefaultsImpl

All Implemented Interfaces:
  MappingDefaults, Configurable

Direct Known Subclasses:
  PersistenceMappingDefaults

    public class MappingDefaultsImpl

extends Object
implements MappingDefaults, Configurable

Default implementation of `MappingDefaults`.

Author:
  Abe White

Field Summary
`protected DBDictionary` | `dict`

Constructor Summary
`MappingDefaultsImpl()`

Method Summary
`protected boolean` | `areAllPrimaryKeyColumns(Column[] cols)` Return whether all the given columns are primary key columns.
`protected void` | `correctName(Table table, Column col)` Correct the given column's name.
`boolean` | `defaultMissingInfo()` Whether to fill in missing mapping information at runtime with the default values supplied by this plugin.
`void` | `endConfiguration()` Invoked upon completion of bean property configuration for this object.
`boolean` | `getAddNullIndicator()` Whether to add a synthetic null indicator column to embedded mappings by default.
`String` | `getBaseClassStrategy()` Default base class strategy alias.
`DBIdentifier` | `getDataStoreIdColumnIdentifier()`
`String` | `getDataStoreIdColumnName()` Deprecated.
`boolean` | `getDeferConstraints()` Whether to defer constraints by default.
`DBIdentifier` | `getDiscriminatorColumnIdentifier()`
`String` | `getDiscriminatorColumnName()` Deprecated.
`String` | `getDiscriminatorStrategy()` Default discriminator strategy alias.
`Object` | `getDiscriminatorValue(Discriminator disc, boolean adapt)` Provides a default value for the given Discriminator.
`String` | `getFieldStrategy(String valueType)` Association of a field value type name with the handler or strategy class name.
`ForeignKey` | `getForeignKey(ValueMapping vm, DBIdentifier name, Table local, Table foreign, boolean inverse)` Return a default foreign key for the join from this value to its related type, or null for a logical foreign key only.
`ForeignKey` | `getForeignKey(ValueMapping vm, String name, Table local, Table foreign, boolean inverse)` Deprecated.
`int` | `getForeignKeyDeleteAction()` Default foreign key action for relation keys.
`Index` | `getIndex(Discriminator disc, Table table, Column[] cols)` Return a default index for the discriminator, or null if the discriminator columns should not be indexed by default.
`Index` | `getIndex(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Return a default index for the value, or null if the value columns should not be indexed by default.
`Index` | `getIndex(ValueMapping vm, String name, Table table, Column[] cols)` Deprecated.
`Index` | `getIndex(Version vers, Table table, Column[] cols)` Return a default index for the version, or null if the version columns should not be indexed by default.
`boolean` | `getIndexDiscriminator()` Whether to index discriminator columns by default.
`boolean` | `getIndexLogicalForeignKeys()` Whether to index logical foreign keys by default.
`protected DBIdentifier` | `getIndexName(DBIdentifier name, Table table, Column[] cols)`
`protected String` | `getIndexName(String name, Table table, Column[] cols)` Deprecated.
`boolean` | `getIndexVersion()` Whether to index version columns by default.
`ForeignKey` | `getJoinForeignKey(ClassMapping cls, Table local, Table foreign)` Return a default foreign key for the join from this class' table to its superclass' table, or null for a logical foreign key only.
`ForeignKey` | `getJoinForeignKey(FieldMapping fm, Table local, Table foreign)` Return a default foreign key for the join from this field's table to its defining class' table, or null for a logical foreign key only.
`int` | `getJoinForeignKeyDeleteAction()` Default foreign key action for join keys.
`Index` | `getJoinIndex(FieldMapping fm, Table table, Column[] cols)` Return a default index for the join, or null if the join columns should not be indexed by default.
`Unique` | `getJoinUnique(FieldMapping fm, Table table, Column[] cols)` Return a default constraint for the join, or null if the join columns should not be constrained by default.
`DBIdentifier` | `getNullIndicatorColumnIdentifier()`
`String` | `getNullIndicatorColumnName()` Deprecated.
`DBIdentifier` | `getOrderColumnIdentifier()`
`String` | `getOrderColumnName()` Deprecated.
`boolean` | `getOrderLists()` Whether to order lists and arrays using a dedicated ordering column by default.
`DBIdentifier` | `getPrimaryKeyIdentifier(ClassMapping cm, Table table)` Return the name of the primary key for the table of the given class, or null for database default.
`String` | `getPrimaryKeyName(ClassMapping cm, Table table)` Deprecated.
`boolean` | `getStoreEnumOrdinal()` Whether to store enums as the ordinal value rather than the enum name.
`boolean` | `getStoreUnmappedObjectIdString()` Whether to store a relation to an unmapped class by stringifying the oid of the related object, rather than storing primary key values.
`Object` | `getStrategy(ClassMapping cls, boolean adapt)` Default mapping strategy when there is no explicit strategy and no hierarchy strategy given.
`Object` | `getStrategy(Discriminator disc, boolean adapt)` Default discriminator mapping strategy when there is no explicit strategy.
`Object` | `getStrategy(ValueMapping vm, Class<?> type, boolean adapt)` Custom handler or strategy for the given field, or null if none has been registered.
`Object` | `getStrategy(Version vers, boolean adapt)` Default version mapping strategy when there is no explicit strategy.
`String` | `getSubclassStrategy()` Default subclass strategy alias.
`DBIdentifier` | `getTableIdentifier(ClassMapping cls, Schema schema)` Return the default table name for the given class.
`DBIdentifier` | `getTableIdentifier(FieldMapping fm, Schema schema)` Return the default secondary table name for the given field.
`String` | `getTableName(ClassMapping cls, Schema schema)` Return the default table name for the given class.
`String` | `getTableName(FieldMapping fm, Schema schema)` Return the default secondary table name for the given field.
`Unique` | `getUnique(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Return a default constraint for the value, or null if the value columns should not be constrained by default.
`Unique` | `getUnique(ValueMapping vm, String name, Table table, Column[] cols)` Deprecated.
`DBIdentifier` | `getVersionColumnIdentifier()`
`String` | `getVersionColumnName()` Deprecated.
`String` | `getVersionStrategy()` Default version strategy alias.
`void` | `installPrimaryKey(FieldMapping fm, Table table)` If desired, install a primary key on the given secondary table.
`boolean` | `isRemoveHungarianNotation()`
`void` | `populateColumns(Discriminator disc, Table table, Column[] cols)` Fill in default information for the given discriminator columns.
`void` | `populateColumns(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Fill in default information for the given value columns.
`void` | `populateColumns(ValueMapping vm, String name, Table table, Column[] cols)` Fill in default information for the given value columns.
`void` | `populateColumns(Version vers, Table table, Column[] cols)` Fill in default information for the given version columns.
`void` | `populateDataStoreIdColumns(ClassMapping cls, Table table, Column[] cols)` Fill in default information for the given datastore identity columns.
`void` | `populateForeignKeyColumn(ValueMapping vm, DBIdentifier name, Table local, Table foreign, Column col, Object target, boolean inverse, int pos, int cols)` Fill in default information for the given column used to join a value to its related type.
`void` | `populateForeignKeyColumn(ValueMapping vm, String name, Table local, Table foreign, Column col, Object target, boolean inverse, int pos, int cols)` Deprecated.
`void` | `populateJoinColumn(ClassMapping cm, Table local, Table foreign, Column col, Object target, int pos, int cols)` Fill in default information for the given column used to join a class to its superclass table.
`void` | `populateJoinColumn(FieldMapping fm, Table local, Table foreign, Column col, Object target, int pos, int cols)` Fill in default information for the given column used to join a field to its defining class' table.
`boolean` | `populateNullIndicatorColumns(ValueMapping vm, DBIdentifier name, Table table, Column[] cols)` Fill in default information for the given null indicator columns.
`boolean` | `populateNullIndicatorColumns(ValueMapping vm, String name, Table table, Column[] cols)` Deprecated.
`boolean` | `populateOrderColumns(FieldMapping fm, Table table, Column[] cols)` Fill in default information for the given order columns.
`protected String` | `removeHungarianNotation(String columnName)`
`void` | `setAddNullIndicator(boolean addNullInd)` Whether to add a synthetic null indicator column to embedded mappings by default.
`void` | `setBaseClassStrategy(String baseClassStrategy)` Default base class strategy alias.
`void` | `setConfiguration(Configuration conf)` Invoked prior to setting bean properties.
`void` | `setDataStoreIdColumnIdentifier(DBIdentifier dsIdName)`
`void` | `setDataStoreIdColumnName(String dsIdName)` Deprecated.
`void` | `setDefaultMissingInfo(boolean defMissing)`
`void` | `setDeferConstraints(boolean defer)` Whether to defer constraints by default.
`void` | `setDiscriminatorColumnIdentifier(DBIdentifier discName)`
`void` | `setDiscriminatorColumnName(String discName)` Deprecated.
`void` | `setDiscriminatorStrategy(String discStrategy)` Default discriminator strategy alias.
`void` | `setFieldStrategies(String fieldMapString)` Property string mapping field type names to value handler or field mapping class names.
`void` | `setFieldStrategy(String valueType, String handlerType)` Association of a field value type name with the handler or strategy class name.
`void` | `setForeignKeyDeleteAction(int fkAction)` Default foreign key action for relation keys.
`void` | `setForeignKeyDeleteAction(String fkAction)` Default foreign key action name for relation keys.
`void` | `setIndexDiscriminator(boolean indexDisc)` Whether to index discriminator columns by default.
`void` | `setIndexLogicalForeignKeys(boolean indexFK)` Whether to index logical foreign keys by default.
`void` | `setIndexVersion(boolean indexVers)` Whether to index version columns by default.
`void` | `setJoinForeignKeyDeleteAction(int joinFKAction)` Default foreign key action for join keys.
`void` | `setJoinForeignKeyDeleteAction(String joinFKAction)` Default foreign key action name for join keys.
`void` | `setNullIndicatorColumnIdentifier(DBIdentifier nullIndName)`
`void` | `setNullIndicatorColumnName(String nullIndName)` Deprecated.
`void` | `setOrderColumnIdentifier(DBIdentifier orderName)`
`void` | `setOrderColumnName(String orderName)` Deprecated.
`void` | `setOrderLists(boolean orderLists)` Whether to order lists and arrays using a dedicated ordering column by default.
`void` | `setRemoveHungarianNotation(boolean removeHungarianNotation)`
`void` | `setStoreEnumOrdinal(boolean ordinal)` Whether to store enums as the ordinal value rather than the enum name.
`void` | `setStoreUnmappedObjectIdString(boolean stringify)` Whether to store a relation to an unmapped class by stringifying the oid of the related object, rather than storing primary key values.
`void` | `setSubclassStrategy(String subclassStrategy)` Default subclass strategy alias.
`void` | `setUseClassCriteria(boolean classCriteria)`
`void` | `setVersionColumnIdentifier(DBIdentifier versName)`
`void` | `setVersionColumnName(String versName)` Deprecated.
`void` | `setVersionStrategy(String versionStrategy)` Default version strategy alias.
`void` | `startConfiguration()` Invoked before bean property configuration is begun on this object.
`boolean` | `useClassCriteria()` The default for whether relations use the related object's expected class as part of the join criteria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dict

    protected transient DBDictionary dict

Constructor Detail

### MappingDefaultsImpl

    public MappingDefaultsImpl()

Method Detail

### isRemoveHungarianNotation

    public boolean isRemoveHungarianNotation()

### setRemoveHungarianNotation

    public void setRemoveHungarianNotation(boolean removeHungarianNotation)

### getBaseClassStrategy

    public String getBaseClassStrategy()

  Default base class strategy alias.

### setBaseClassStrategy

    public void setBaseClassStrategy(String baseClassStrategy)

  Default base class strategy alias.

### getSubclassStrategy

    public String getSubclassStrategy()

  Default subclass strategy alias.

### setSubclassStrategy

    public void setSubclassStrategy(String subclassStrategy)

  Default subclass strategy alias.

### getVersionStrategy

    public String getVersionStrategy()

  Default version strategy alias.

### setVersionStrategy

    public void setVersionStrategy(String versionStrategy)

  Default version strategy alias.

### getDiscriminatorStrategy

    public String getDiscriminatorStrategy()

  Default discriminator strategy alias.

### setDiscriminatorStrategy

    public void setDiscriminatorStrategy(String discStrategy)

  Default discriminator strategy alias.

### setFieldStrategies

    public void setFieldStrategies(String fieldMapString)

  Property string mapping field type names to value handler or field mapping class names. For auto-configuration.

### setFieldStrategy

    public void setFieldStrategy(String valueType,
                                 String handlerType)

  Association of a field value type name with the handler or strategy class name.

### getFieldStrategy

    public String getFieldStrategy(String valueType)

  Association of a field value type name with the handler or strategy class name.

### getStoreEnumOrdinal

    public boolean getStoreEnumOrdinal()

  Whether to store enums as the ordinal value rather than the enum name. Defaults to false.

### setStoreEnumOrdinal

    public void setStoreEnumOrdinal(boolean ordinal)

  Whether to store enums as the ordinal value rather than the enum name. Defaults to false.

### getStoreUnmappedObjectIdString

    public boolean getStoreUnmappedObjectIdString()

  Whether to store a relation to an unmapped class by stringifying the oid of the related object, rather than storing primary key values.

### setStoreUnmappedObjectIdString

    public void setStoreUnmappedObjectIdString(boolean stringify)

  Whether to store a relation to an unmapped class by stringifying the oid of the related object, rather than storing primary key values.

### getJoinForeignKeyDeleteAction

    public int getJoinForeignKeyDeleteAction()

  Default foreign key action for join keys. Defaults to logical keys.

### setJoinForeignKeyDeleteAction

    public void setJoinForeignKeyDeleteAction(int joinFKAction)

  Default foreign key action for join keys. Defaults to logical keys.

### setJoinForeignKeyDeleteAction

    public void setJoinForeignKeyDeleteAction(String joinFKAction)

  Default foreign key action name for join keys. Used in auto configuration.

### getForeignKeyDeleteAction

    public int getForeignKeyDeleteAction()

  Default foreign key action for relation keys. Defaults to logical keys.

### setForeignKeyDeleteAction

    public void setForeignKeyDeleteAction(int fkAction)

  Default foreign key action for relation keys. Defaults to logical keys.

### setForeignKeyDeleteAction

    public void setForeignKeyDeleteAction(String fkAction)

  Default foreign key action name for relation keys. Used in auto configuration.

### getIndexLogicalForeignKeys

    public boolean getIndexLogicalForeignKeys()

  Whether to index logical foreign keys by default. Defaults to true.

### setIndexLogicalForeignKeys

    public void setIndexLogicalForeignKeys(boolean indexFK)

  Whether to index logical foreign keys by default. Defaults to true.

### getIndexDiscriminator

    public boolean getIndexDiscriminator()

  Whether to index discriminator columns by default. Defaults to true.

### setIndexDiscriminator

    public void setIndexDiscriminator(boolean indexDisc)

  Whether to index discriminator columns by default. Defaults to true.

### getIndexVersion

    public boolean getIndexVersion()

  Whether to index version columns by default. Defaults to true.

### setIndexVersion

    public void setIndexVersion(boolean indexVers)

  Whether to index version columns by default. Defaults to true.

### getOrderLists

    public boolean getOrderLists()

  Whether to order lists and arrays using a dedicated ordering column by default.

### setOrderLists

    public void setOrderLists(boolean orderLists)

  Whether to order lists and arrays using a dedicated ordering column by default.

### getAddNullIndicator

    public boolean getAddNullIndicator()

  Whether to add a synthetic null indicator column to embedded mappings by default.

### setAddNullIndicator

    public void setAddNullIndicator(boolean addNullInd)

  Whether to add a synthetic null indicator column to embedded mappings by default.

### getDeferConstraints

    public boolean getDeferConstraints()

  Whether to defer constraints by default. Defaults to false.

### setDeferConstraints

    public void setDeferConstraints(boolean defer)

  Whether to defer constraints by default. Defaults to false.

### getDataStoreIdColumnName

    public String getDataStoreIdColumnName()

  Deprecated.

  Default base name for datastore identity columns, or null to the mapping's built-in name.

### getDataStoreIdColumnIdentifier

    public DBIdentifier getDataStoreIdColumnIdentifier()

### setDataStoreIdColumnName

    public void setDataStoreIdColumnName(String dsIdName)

  Deprecated.

  Default base name for datastore identity columns, or null to the mapping's built-in name.

### setDataStoreIdColumnIdentifier

    public void setDataStoreIdColumnIdentifier(DBIdentifier dsIdName)

### getVersionColumnName

    public String getVersionColumnName()

  Deprecated.

  Default base name for version identity columns, or null to the mapping's built-in name.

### getVersionColumnIdentifier

    public DBIdentifier getVersionColumnIdentifier()

### setVersionColumnName

    public void setVersionColumnName(String versName)

  Deprecated.

  Default base name for version identity columns, or null to the mapping's built-in name.

### setVersionColumnIdentifier

    public void setVersionColumnIdentifier(DBIdentifier versName)

### getDiscriminatorColumnName

    public String getDiscriminatorColumnName()

  Deprecated.

  Default base name for discriminator columns, or null to the mapping's built-in name.

### getDiscriminatorColumnIdentifier

    public DBIdentifier getDiscriminatorColumnIdentifier()

### setDiscriminatorColumnName

    public void setDiscriminatorColumnName(String discName)

  Deprecated.

  Default base name for discriminator columns, or null to the mapping's built-in name.

### setDiscriminatorColumnIdentifier

    public void setDiscriminatorColumnIdentifier(DBIdentifier discName)

### getOrderColumnName

    public String getOrderColumnName()

  Deprecated.

  Default base name for order columns, or null to the mapping's built-in name.

### getOrderColumnIdentifier

    public DBIdentifier getOrderColumnIdentifier()

### setOrderColumnName

    public void setOrderColumnName(String orderName)

  Deprecated.

  Default base name for order columns, or null to the mapping's built-in name.

### setOrderColumnIdentifier

    public void setOrderColumnIdentifier(DBIdentifier orderName)

### getNullIndicatorColumnName

    public String getNullIndicatorColumnName()

  Deprecated.

  Default base name for null indicator columns, or null to the mapping's built-in name.

### getNullIndicatorColumnIdentifier

    public DBIdentifier getNullIndicatorColumnIdentifier()

### setNullIndicatorColumnName

    public void setNullIndicatorColumnName(String nullIndName)

  Deprecated.

  Default base name for null indicator columns, or null to the mapping's built-in name.

### setNullIndicatorColumnIdentifier

    public void setNullIndicatorColumnIdentifier(DBIdentifier nullIndName)

### defaultMissingInfo

    public boolean defaultMissingInfo()

  Description copied from interface: `MappingDefaults`
  Whether to fill in missing mapping information at runtime with the default values supplied by this plugin. A value of false means that all mapping information must be present at runtime.

  Specified by:
    `defaultMissingInfo` in interface `MappingDefaults`

### setDefaultMissingInfo

    public void setDefaultMissingInfo(boolean defMissing)

### useClassCriteria

    public boolean useClassCriteria()

  Description copied from interface: `MappingDefaults`
  The default for whether relations use the related object's expected class as part of the join criteria.

  Specified by:
    `useClassCriteria` in interface `MappingDefaults`

### setUseClassCriteria

    public void setUseClassCriteria(boolean classCriteria)

### getStrategy

    public Object getStrategy(ClassMapping cls,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Default mapping strategy when there is no explicit strategy and no hierarchy strategy given.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `cls` - the class; will not be mapped, but superclass and raw `MappingInfo` will be available
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the strategy alias or a strategy instance, or null

### getStrategy

    public Object getStrategy(Version vers,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Default version mapping strategy when there is no explicit strategy.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `vers` - the version; will not be mapped, but raw `MappingInfo` will be available
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the strategy alias or a strategy instance, or null

### getStrategy

    public Object getStrategy(Discriminator disc,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Default discriminator mapping strategy when there is no explicit strategy.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `disc` - the discriminator; will not be mapped, but raw `MappingInfo` will be available
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the strategy alias or a strategy instance, or null

### getStrategy

    public Object getStrategy(ValueMapping vm,
                              Class<?> type,
                              boolean adapt)

  Description copied from interface: `MappingDefaults`
  Custom handler or strategy for the given field, or null if none has been registered.

  Specified by:
    `getStrategy` in interface `MappingDefaults`
  Parameters:
    `vm` - the value mapping; will not be mapped, but raw `MappingInfo` will be available
    `type` - the value type
    `adapt` - whether we can adapt the mapping or schema
  Returns:
    the handler/strategy alias or instance, or null

### getDiscriminatorValue

    public Object getDiscriminatorValue(Discriminator disc,
                                        boolean adapt)

  Provides a default value for the given Discriminator.

  The type of the object returned relies on the javaType field being set on the Discriminator which is provided.

  JavaType | Default value `JavaTypes.INT` | The hashcode of the entity name
  `JavaTypes.CHAR` | The first character of the entity name
  `JavaTypes.STRING` | The entity name

  Specified by:
    `getDiscriminatorValue` in interface `MappingDefaults`
  Parameters:
    `disc` - The discriminator that needs a default value
    `adapt` -
  Returns:
    A new object containing the generated Discriminator value.

### getTableName

    public String getTableName(ClassMapping cls,
                               Schema schema)

  Description copied from interface: `MappingDefaults`
  Return the default table name for the given class. This method is only called for classes mapped to their own table.

  Specified by:
    `getTableName` in interface `MappingDefaults`

### getTableIdentifier

    public DBIdentifier getTableIdentifier(ClassMapping cls,
                                           Schema schema)

  Description copied from interface: `MappingDefaults`
  Return the default table name for the given class. This method is only called for classes mapped to their own table.

  Specified by:
    `getTableIdentifier` in interface `MappingDefaults`

### getTableName

    public String getTableName(FieldMapping fm,
                               Schema schema)

  Description copied from interface: `MappingDefaults`
  Return the default secondary table name for the given field. This method is only called for fields whose strategy requires a secondary table.

  Specified by:
    `getTableName` in interface `MappingDefaults`

### getTableIdentifier

    public DBIdentifier getTableIdentifier(FieldMapping fm,
                                           Schema schema)

  Description copied from interface: `MappingDefaults`
  Return the default secondary table name for the given field. This method is only called for fields whose strategy requires a secondary table.

  Specified by:
    `getTableIdentifier` in interface `MappingDefaults`

### populateDataStoreIdColumns

    public void populateDataStoreIdColumns(ClassMapping cls,
                                           Table table,
                                           Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given datastore identity columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateDataStoreIdColumns` in interface `MappingDefaults`

### correctName

    protected void correctName(Table table,
                               Column col)

  Correct the given column's name.

### removeHungarianNotation

    protected String removeHungarianNotation(String columnName)

### populateColumns

    public void populateColumns(Version vers,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given version columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`

### populateColumns

    public void populateColumns(Discriminator disc,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given discriminator columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`

### populateJoinColumn

    public void populateJoinColumn(ClassMapping cm,
                                   Table local,
                                   Table foreign,
                                   Column col,
                                   Object target,
                                   int pos,
                                   int cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a class to its superclass table. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateJoinColumn` in interface `MappingDefaults`
    `target` - the target of this column in the join; may be another column or a constant value
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateJoinColumn

    public void populateJoinColumn(FieldMapping fm,
                                   Table local,
                                   Table foreign,
                                   Column col,
                                   Object target,
                                   int pos,
                                   int cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a field to its defining class' table. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateJoinColumn` in interface `MappingDefaults`
    `target` - the target of this column in the join; may be another column or a constant value
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateForeignKeyColumn

    public void populateForeignKeyColumn(ValueMapping vm,
                                         String name,
                                         Table local,
                                         Table foreign,
                                         Column col,
                                         Object target,
                                         boolean inverse,
                                         int pos,
                                         int cols)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a value to its related type. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateForeignKeyColumn` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `target` - the target of this column in the join; may be another column or a constant value
    `inverse` - whether this is an inverse foreign key
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateForeignKeyColumn

    public void populateForeignKeyColumn(ValueMapping vm,
                                         DBIdentifier name,
                                         Table local,
                                         Table foreign,
                                         Column col,
                                         Object target,
                                         boolean inverse,
                                         int pos,
                                         int cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given column used to join a value to its related type. The column will be a clone of the target column, or have its name and Java type set in the case of a constant target.

  Specified by:
    `populateForeignKeyColumn` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `target` - the target of this column in the join; may be another column or a constant value
    `inverse` - whether this is an inverse foreign key
    `pos` - the index of this column in the logical foreign key
    `cols` - the number of columns in the logical foreign key

### populateColumns

    public void populateColumns(ValueMapping vm,
                                String name,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given value columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### populateColumns

    public void populateColumns(ValueMapping vm,
                                DBIdentifier name,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given value columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### populateOrderColumns

    public boolean populateOrderColumns(FieldMapping fm,
                                        Table table,
                                        Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given order columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateOrderColumns` in interface `MappingDefaults`
  Returns:
    false if the given field should not have order columns by default; fill in default information even when returning false in case the user forces ordering

### populateNullIndicatorColumns

    public boolean populateNullIndicatorColumns(ValueMapping vm,
                                                String name,
                                                Table table,
                                                Column[] cols)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given null indicator columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateNullIndicatorColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
  Returns:
    false if the given value should not have null indicator columns by default; fill in default information even when returning false in case the user forces an indicator

### populateNullIndicatorColumns

    public boolean populateNullIndicatorColumns(ValueMapping vm,
                                                DBIdentifier name,
                                                Table table,
                                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Fill in default information for the given null indicator columns. The columns' name and Java type will already be populated with generic defaults that may be replaced.

  Specified by:
    `populateNullIndicatorColumns` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
  Returns:
    false if the given value should not have null indicator columns by default; fill in default information even when returning false in case the user forces an indicator

### getJoinForeignKey

    public ForeignKey getJoinForeignKey(ClassMapping cls,
                                        Table local,
                                        Table foreign)

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this class' table to its superclass' table, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getJoinForeignKey` in interface `MappingDefaults`

### getJoinForeignKey

    public ForeignKey getJoinForeignKey(FieldMapping fm,
                                        Table local,
                                        Table foreign)

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this field's table to its defining class' table, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getJoinForeignKey` in interface `MappingDefaults`

### getForeignKey

    public ForeignKey getForeignKey(ValueMapping vm,
                                    String name,
                                    Table local,
                                    Table foreign,
                                    boolean inverse)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this value to its related type, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getForeignKey` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `inverse` - whether this is an inverse key

### getForeignKey

    public ForeignKey getForeignKey(ValueMapping vm,
                                    DBIdentifier name,
                                    Table local,
                                    Table foreign,
                                    boolean inverse)

  Description copied from interface: `MappingDefaults`
  Return a default foreign key for the join from this value to its related type, or null for a logical foreign key only. Do not add columns to the key or add the key to the table; only fill in its information such as name, delete action, etc.

  Specified by:
    `getForeignKey` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping
    `inverse` - whether this is an inverse key

### getJoinIndex

    public Index getJoinIndex(FieldMapping fm,
                              Table table,
                              Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the join, or null if the join columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getJoinIndex` in interface `MappingDefaults`

### areAllPrimaryKeyColumns

    protected boolean areAllPrimaryKeyColumns(Column[] cols)

  Return whether all the given columns are primary key columns.

### getIndexName

    protected String getIndexName(String name,
                                  Table table,
                                  Column[] cols)

  Deprecated.

  Generate an index name.

### getIndexName

    protected DBIdentifier getIndexName(DBIdentifier name,
                                        Table table,
                                        Column[] cols)

### getIndex

    public Index getIndex(ValueMapping vm,
                          String name,
                          Table table,
                          Column[] cols)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Return a default index for the value, or null if the value columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### getIndex

    public Index getIndex(ValueMapping vm,
                          DBIdentifier name,
                          Table table,
                          Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the value, or null if the value columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### getIndex

    public Index getIndex(Version vers,
                          Table table,
                          Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the version, or null if the version columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`

### getIndex

    public Index getIndex(Discriminator disc,
                          Table table,
                          Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default index for the discriminator, or null if the discriminator columns should not be indexed by default. Do not add columns to the index or add the index to the table; only fill in its information such as name, uniqueness, etc.

  Specified by:
    `getIndex` in interface `MappingDefaults`

### getJoinUnique

    public Unique getJoinUnique(FieldMapping fm,
                                Table table,
                                Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default constraint for the join, or null if the join columns should not be constrained by default. Do not add columns to the constraint or add the constraint to the table; only fill in its information such as name, deferrability, etc.

  Specified by:
    `getJoinUnique` in interface `MappingDefaults`

### getUnique

    public Unique getUnique(ValueMapping vm,
                            String name,
                            Table table,
                            Column[] cols)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Return a default constraint for the value, or null if the value columns should not be constrained by default. Do not add columns to the constraint or add the constraint to the table; only fill in its information such as name, deferrability, etc.

  Specified by:
    `getUnique` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### getUnique

    public Unique getUnique(ValueMapping vm,
                            DBIdentifier name,
                            Table table,
                            Column[] cols)

  Description copied from interface: `MappingDefaults`
  Return a default constraint for the value, or null if the value columns should not be constrained by default. Do not add columns to the constraint or add the constraint to the table; only fill in its information such as name, deferrability, etc.

  Specified by:
    `getUnique` in interface `MappingDefaults`
    `name` - base name for value, as decided by mapping

### getPrimaryKeyName

    public String getPrimaryKeyName(ClassMapping cm,
                                    Table table)

  Deprecated.

  Description copied from interface: `MappingDefaults`
  Return the name of the primary key for the table of the given class, or null for database default.

  Specified by:
    `getPrimaryKeyName` in interface `MappingDefaults`

### getPrimaryKeyIdentifier

    public DBIdentifier getPrimaryKeyIdentifier(ClassMapping cm,
                                                Table table)

  Description copied from interface: `MappingDefaults`
  Return the name of the primary key for the table of the given class, or null for database default.

  Specified by:
    `getPrimaryKeyIdentifier` in interface `MappingDefaults`

### installPrimaryKey

    public void installPrimaryKey(FieldMapping fm,
                                  Table table)

  Description copied from interface: `MappingDefaults`
  If desired, install a primary key on the given secondary table.

  Specified by:
    `installPrimaryKey` in interface `MappingDefaults`

### setConfiguration

    public void setConfiguration(Configuration conf)

  Description copied from interface: `Configurable`
  Invoked prior to setting bean properties.

  Specified by:
    `setConfiguration` in interface `Configurable`

### startConfiguration

    public void startConfiguration()

  Description copied from interface: `Configurable`
  Invoked before bean property configuration is begun on this object.

  Specified by:
    `startConfiguration` in interface `Configurable`

### endConfiguration

    public void endConfiguration()

  Description copied from interface: `Configurable`
  Invoked upon completion of bean property configuration for this object.

  Specified by:
    `endConfiguration` in interface `Configurable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.